button, input, textarea
  border: 0
  outline: none
  box-sizing: border-box
  &:last-child
    margin-bottom: 0


button
  cursor: pointer
  border: 0
  outline: none
  transition: transform .5s ease
  transform: scale(1) translatez(0)
  
  &.disabled
    background: gray !important
  
  &.connect
    margin-top: 20px
    like_button(true)

  &:active
    transform: scale(0.98) 

input, textarea
  display: block
  width: 100%
  padding: 10px 15px
  margin-bottom: 15px
  background-color: $Fc
  
textarea
  min-width: 100%
  max-width: 100%


input[type='radio'], input[type='checkbox']
  width: initial

form
  .b_head, .b_body
    width: 100%
    box-sizing: border-box
    padding: 10px

  .b_head
    color: white
    background: $Cm
    text-align: center

  .b_body
    background: white
    // border: 1px solid $Cm
    


#page_edit #main

  .uploaded_image
    display: block
    margin: 20px 0
    max-width: 100%
    max-height: 180px

  .a-pattern
    display: none

  .a-canBeDeleted
    margin-top: 20px

  .a-createAdditionalField, .a-deleteAdditionalFiel
    cursor: pointer
    position: absolute
    right: -15px
    top: 0
    font-size: 16px
    padding: 0 3px
    border: 1px solid $mC

  .a-deleteAdditionalFiel
    padding: 0px 4px 2px

  .required_label
    position: absolute
    left: -5px
    top: -8px
    font-size: 18px
    color: red

  .field_description
    display: block
    margin: 10px 0
    font-size: 12px
    color: black

  h2, h3
    color: $mC

  h2 
    font-weight: bold
    font-size: 24px
    margin-bottom: 20px

  h3
    padding-bottom: 2px
    font-weight: bold
    margin-top: 20px
    border-bottom: 1px solid $bC

  input[type='text'], input[type='number'], input[type='email'], input[type='password']
    width: 100%
    border-bottom: 1px solid $mC

  .button[type='submit']
    position: relative
    width: 100%
    top: -2px

  .list2Col
    position: relative
    margin: 15px 0

    .col1
      font-size: 14px
      line-height: 1.3

  .itemSet
    // position: relative
    margin: 15px 0
    border-bottom: 1px solid $bC